Namespaces - List By Subscription
List Namespace resources by subscription ID
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.DeviceRegistry/namespaces?api-version=2026-04-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
List_Namespaces_BySubscription
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.DeviceRegistry/namespaces?api-version=2026-04-01
Sample response
{
"value": [
{
"id": "/subscriptions/00000000-1366-430f-0000-cc873bcf2d27/resourceGroups/gbktestRG/providers/Microsoft.DeviceRegistry/namespaces/adr-ns-gbk-01",
"name": "adr-ns-gbk-01",
"type": "Microsoft.DeviceRegistry/namespaces",
"location": "North Europe",
"systemData": {
"createdBy": "00003442-0000-0000-0000-494059220000",
"createdByType": "Application",
"createdAt": "2024-09-13T19:38:09.5283958Z",
"lastModifiedBy": "00003442-0000-0000-0000-494059220000",
"lastModifiedByType": "Application",
"lastModifiedAt": "2024-09-13T19:38:16.6634263Z"
},
"properties": {
"provisioningState": "Succeeded",
"uuid": "cefe124a-6971-4c90-a7a9-99be82def1ab"
}
},
{
"id": "/subscriptions/00000000-1366-430f-0000-cc873bcf2d27/resourceGroups/gbktestRG/providers/Microsoft.DeviceRegistry/namespaces/adr-ns-gbk-02",
"name": "adr-ns-gbk-02",
"type": "Microsoft.DeviceRegistry/namespaces",
"location": "North Europe",
"systemData": {
"createdBy": "00003442-0000-0000-0000-494059220000",
"createdByType": "Application",
"createdAt": "2024-09-13T20:22:49.5920101Z",
"lastModifiedBy": "00003442-0000-0000-0000-494059220000",
"lastModifiedByType": "Application",
"lastModifiedAt": "2024-09-13T20:22:49.5920101Z"
},
"properties": {
"provisioningState": "Succeeded",
"uuid": "defe124a-6971-4c90-a7a9-99be82def2ab"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
| Management |
The namespace management endpoints model. |
|
Management |
Namespace management endpoint model used by service to connect to device. |
| Messaging |
The namespace messaging endpoints model. |
|
Messaging |
Namespace messaging endpoint model used by a device to connect to a service. |
| Namespace |
Namespace definition. |
|
Namespace |
The response of a Namespace list operation. |
|
Provisioning |
The provisioning status of the resource. |
|
System |
Managed service identity (either system assigned, or none) |
|
System |
Type of managed service identity (either system assigned, or none). |
|
system |
Metadata pertaining to creation and last modification of the resource. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
Management
The namespace management endpoints model.
| Name | Type | Description |
|---|---|---|
| endpoints |
<string,
Management |
Dictionary of management endpoints. |
ManagementEndpoint
Namespace management endpoint model used by service to connect to device.
| Name | Type | Description |
|---|---|---|
| address |
string |
The endpoint address to connect to. |
| endpointType |
string |
Type of connection used for management endpoint. |
| resourceId |
string |
The messaging endpoint Azure resource Id. |
| scopeId |
string |
The scope ID for the management endpoint. |
Messaging
The namespace messaging endpoints model.
| Name | Type | Description |
|---|---|---|
| endpoints |
<string,
Messaging |
Dictionary of messaging endpoints. |
MessagingEndpoint
Namespace messaging endpoint model used by a device to connect to a service.
| Name | Type | Description |
|---|---|---|
| address |
string |
The endpoint address to connect to. |
| endpointType |
string |
Type of connection used for messaging endpoint. |
| resourceId |
string |
The messaging endpoint Azure resource Id. |
Namespace
Namespace definition.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| identity |
The managed service identities assigned to this resource. |
|
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties.management |
Assigned and unassigned management endpoints. |
|
| properties.messaging |
Assigned and unassigned messaging endpoints. |
|
| properties.provisioningState |
Provisioning state of the resource. |
|
| properties.uuid |
string |
Globally unique, immutable, non-reusable ID. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
NamespaceListResult
The response of a Namespace list operation.
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
The Namespace items on this page |
ProvisioningState
The provisioning status of the resource.
| Value | Description |
|---|---|
| Succeeded |
Resource has been created. |
| Failed |
Resource creation failed. |
| Canceled |
Resource creation was canceled. |
| Accepted |
Resource has been accepted by the server. |
| Deleting |
Resource is deleting. |
SystemAssignedServiceIdentity
Managed service identity (either system assigned, or none)
| Name | Type | Description |
|---|---|---|
| principalId |
string (uuid) |
The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity. |
| tenantId |
string (uuid) |
The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity. |
| type |
Type of managed service identity (either system assigned, or none). |
SystemAssignedServiceIdentityType
Type of managed service identity (either system assigned, or none).
| Value | Description |
|---|---|
| None | |
| SystemAssigned |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |